#!/bin/sh
#   ---------------------------------------------------------------------- copyright and license ---
#
#   file: bin/check-srpm-rpmbuild.sh
#
#   Copyright © 2019 Van de Bugger.
#
#   This file is a part of S4lt.
#
#   S4lt is free software: you can redistribute it and/or modify it under the terms of the GNU
#   General Public License as published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   S4lt is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
#   the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along with S4lt.  If not, see
#   <http://www.gnu.org/licenses/>.
#
#   SPDX-License-Identifier: GPL-3.0-or-later
#
#   ---------------------------------------------------------------------- copyright and license ---

eval $PROLOGUE

test $# -lt 1       && die "No argument"
test $# -gt 1       && die "Too many arguments"
test -z "$RPMBUILD" && skip "RPMBUILD is not set"

mktmpdir
topdir=$( realpath "$tmpdir" )      # rpmbuild does not like relative pathnames.

$RPMBUILD \
    --noclean \
    -D "_topdir $topdir" \
    -rb "$1"

# end of file #
