<!-- file: site/index.md.m4 -->

<!--
    Fossil does not process markdown whithin div element. :-(
    <div itemscope itemtype="http://schema.org/SoftwareApplication"> is added in header, and
    </div> — in footer.
-->

# MD_NAME({{ S4lt }})

<!--
    Disable keyword and description collection, otherwise they will be automatically undiverted at
    the end of input.
-->
_md_define({{ _md_divnum_kword }},{{ -1 }})
_md_define({{ _md_divnum_descr }},{{ -1 }})

MD_DESCRIPTION({{ S4lt is MD_HEADLINE({{ an addition to MD_KEYWORD({{M4sugar}}) }}). ([M4sugar] is
a collection of all-purpose MD_KEYWORD({{ [M4] }}) macros, a part of MD_KEYWORD({{ [Autoconf] }}).)
S4lt defines few all-purpose macros I miss in M4sugar. S4lt is MD_KEYWORD({{ MD_OFFER({{
MD_PRICE({{ 0.0 }},{{ free }}) MD_PRICE_CURRENCY({{ USD }},{{ - }}) }}) software }}).
MD_CATEGORY({{ Development }},{{-}})MD_SUB_CATEGORY({{ Libraries }},{{-}}) }})

<!--
    Google wants to see Category and SubCategory. Currently they are inserted with empty body.
    TODO: Make them visible.
-->

[Autoconf]: https://www.gnu.org/software/autoconf/manual/autoconf.html
[M4sugar]:  https://www.gnu.org/software/autoconf/manual/autoconf.html#Programming-in-M4sugar
[M4]:       https://www.gnu.org/software/m4/manual/m4.html

<!-- ## Quick start? -->

<!-- ## News? -->

## Download

### Source code

#### Trunk

This is development, the latest, *not released* version of S4lt.

**Note:** The development tarball does not include `configure` script, so building S4lt from the
development tarball *requires* Autoconf. (In contrast, distrubution tarballs include `configure`
script and do *not* require Autoconf.)

*   [Source tarball](/tarball/trunk/s4lt-trunk.tar.gz)

#### Version 0.0.1-1

**Note:** Not actually released yet, so links are broken for now. Will be available soon.

*   [Source tarball](/uv/download/s4lt-0.0.1-1.tar.gz)
*   [Source RPM](/uv/download/s4lt-0.0.1-1.src.gz)

### RPMs

TODO

## Documentation

Complete manual is not yet ready. However, all macros are documented, see [S4lt macros](macros.md).

## Feedback and bug reports

Questions and suggestions are welcome on [the forum].

If you think you have found a bug, please [fill a ticket]. Do not forget to [review existing
tickets] before filling a new one to avoid submitting multiple tickets for the same bug.

If neither forum nor tickets meet your need, feel free to [send me a mail].

[the forum]: /forum
[fill a ticket]: /tktnew
[review existing tickets]: /rptview?rn=1
[send me a mail]: mailto:van.de.bugger@gmail.com?subject=S4lt

## Copyright and license

Copyright © MD_COPYRIGHT_YEAR({{ 2019 }}) MD_COPYRIGHT_HOLDER({{ MD_NAME({{ Van de Bugger }}) }}).

S4lt is free software: you can redistribute it and/or modify it under the terms of the GNU General
Public License as published by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

S4lt is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
License for more details.

You should have received a copy of the GNU General Public License along with S4lt. If not, see
<MD_LICENSE({{ <http://gnu.org/licenses/gpl.html> }})>.

**Note:** S4lt distribution tarball may include some files added by GNU Autoconf. Some of those
files may be third-party files, some may be generated from S4lt sources and/or third-party files.
Those files are not part of S4lt and *not* covered by this copyright and license. See
`MANIFEST.txt` file for the list of S4lt files, and look into particular non-S4lt file for its
copyright and license terms.

<!-- end of file -->
